import { Component, Input, Injectable} from '@angular/core';
import { Feature } from 'ol';
import { Store } from '@ngrx/store';
import * as mapReducers from '../../reducers/map.reducer';
import { commonReducers,ItemTypeService } from '@farmmaps/common';



@Injectable()
export abstract class AbstractFeatureListFeatureComponent {
  @Input() feature: Feature

  constructor(public store: Store<mapReducers.State | commonReducers.State>, public itemTypeService: ItemTypeService) {
  } 
}

@Injectable()
@Component({
  selector: 'feature-list-feature',
  templateUrl: './feature-list-feature.component.html',
  styleUrls: ['./feature-list-feature.component.scss']
})
export class FeatureListFeatureComponent extends AbstractFeatureListFeatureComponent {

  constructor(store: Store<mapReducers.State | commonReducers.State>, itemTypeService: ItemTypeService) {
    super(store, itemTypeService);
  }
}
